using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTransformador
    {

        public IList<entidadeTransformador> Select(entidadeTransformador objTransformador)
        {
            dalTransformador dalTransformador = null;

            var lstTransformador = new List<entidadeTransformador>();
            DataTable dt = null;

            try
            {
                dalTransformador = new dalTransformador();
                dt = dalTransformador.Select(objTransformador);

                foreach (DataRow dr in dt.Rows)
                {
                    objTransformador = new entidadeTransformador();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objTransformador.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objTransformador.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDTRANSFORMADOR_TIPO_UNIDADE"]))
                        objTransformador.IDTRANSFORMADOR_TIPO_UNIDADE = Convert.ToInt32(dr["IDTRANSFORMADOR_TIPO_UNIDADE"]);

                    if (!Convert.IsDBNull(dr["IDTRANSFORMADOR_TIPO_POSTO"]))
                        objTransformador.IDTRANSFORMADOR_TIPO_POSTO = Convert.ToInt32(dr["IDTRANSFORMADOR_TIPO_POSTO"]);

                    if (!Convert.IsDBNull(dr["IDPROPRIETARIO"]))
                        objTransformador.IDPROPRIETARIO = Convert.ToInt32(dr["IDPROPRIETARIO"]);

                    if (!Convert.IsDBNull(dr["IDSITUACAO"]))
                        objTransformador.IDSITUACAO = Convert.ToInt32(dr["IDSITUACAO"]);

                    if (!Convert.IsDBNull(dr["IDALIMENTADOR"]))
                        objTransformador.IDALIMENTADOR = Convert.ToInt32(dr["IDALIMENTADOR"]);

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objTransformador.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objTransformador.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstTransformador.Add(objTransformador);
                }
                return lstTransformador;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
